Bug 431248 - Payee Default Category not saved unless manually selected
Summary: Payee Default Category not saved unless manually selected
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: general (show other bugs)
Version: 5.1.0
Platform: Other Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-07 03:12 UTC by Glenn
Modified: 2021-01-09 18:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn 2021-01-07 03:12:48 UTC
SUMMARY
Default category for a Payee is not saved unless a category is manually selected.
When you click the box to enable a default category for a Payee,
the category box is filled in with what appears to be the last category that was selected.
If that happens to be the correct category and you click the Update button,
the default category will NOT be saved.
You have to actually use the category select list to select a category
for the default category to be saved, even if the displayed category
is the correct one.

STEPS TO REPRODUCE
1. Edit a Payee without a default category.
2. Check the box to enable a default category.
3. Do NOT select a category. Use the one that is selected by default.
4. Update the Payee. The Default category will NOT be set.

OBSERVED RESULT
If a category is not manually selected, the default category is not saved.

EXPECTED RESULT
Displayed category should be saved, even if it was not re-selected.

SOFTWARE/OS VERSIONS
Windows: 10
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
none
Comment 1 Thomas Baumgart 2021-01-09 18:11:18 UTC
Git commit fd118779db92c2cf6c0c4044cedd57b63e09eb66 by Thomas Baumgart.
Committed on 09/01/2021 at 18:07.
Pushed by tbaumgart into branch 'master'.

Remove text from account combo box

When selecting a payee that has a default category assigned and then
switching to a payee that does not have a default category assigned
leaves the text of the category as is for the first payee. When the
default category is now enabled, the user has the impression that
the setting is made, but it is not stored.

This change clears the text so that the user has to select the
category in any case which resolves the problem.

(cherry picked from commit 3b16469b734b4ff4167d7047ca346ff3aeb71e7f and
adjusted to work on master)

M  +1    -0    kmymoney/views/kpayeesview_p.h

https://invent.kde.org/office/kmymoney/commit/fd118779db92c2cf6c0c4044cedd57b63e09eb66
Comment 2 Thomas Baumgart 2021-01-09 18:11:34 UTC
Git commit 3b16469b734b4ff4167d7047ca346ff3aeb71e7f by Thomas Baumgart.
Committed on 09/01/2021 at 18:03.
Pushed by tbaumgart into branch '5.1'.

Remove text from account combo box

When selecting a payee that has a default category assigned and then
switching to a payee that does not have a default category assigned
leaves the text of the category as is for the first payee. When the
default category is now enabled, the user has the impression that
the setting is made, but it is not stored.

This change clears the text so that the user has to select the
category in any case which resolves the problem.
FIXED-IN: 5.1.2

M  +1    -0    kmymoney/views/kpayeesview.cpp

https://invent.kde.org/office/kmymoney/commit/3b16469b734b4ff4167d7047ca346ff3aeb71e7f